Name:          maliit-framework
Version:       2.3.0
Release:    1%{?dist}
Summary:       Input method framework

License:       LGPLv2
URL:           https://maliit.github.io/
Source0:       https://github.com/maliit/framework/archive/%{version}/%{name}-%{version}.tar.gz 

BuildRequires: cmake
BuildRequires: gcc-c++

BuildRequires: doxygen
BuildRequires: libX11-devel
BuildRequires: libXcomposite-devel
BuildRequires: libXdamage-devel
BuildRequires: libXext-devel
BuildRequires: libXfixes-devel
BuildRequires: libxkbcommon-devel
BuildRequires: systemd-devel

BuildRequires: qt5-qtbase-devel
BuildRequires: qt5-qtbase-static
BuildRequires: qt5-qtdeclarative-devel
BuildRequires: qt5-qtwayland-devel

BuildRequires: wayland-devel
BuildRequires: wayland-protocols-devel


%description
Maliit provides a flexible and cross-platform input method framework. It has a
plugin-based client-server architecture where applications act as clients and
communicate with the Maliit server via input context plugins. The communication
link currently uses D-Bus.

%package qt5
Summary: Input method module for Qt 5 based on Maliit framework
BuildRequires: qt5-qtbase-private-devel

Requires: %{name} = %{version}-%{release}

%description qt5
Input method module for Qt 4 based on Maliit framework.


%package devel
Summary: Development files for %{name}
Requires: %{name} = %{version}-%{release}
Requires: %{name}-qt5 = %{version}-%{release}
%description devel
Files for development with %{name}.

%package docs
Summary: Documentation files for %{name}

%description docs
This package contains developer documentation for %{name}.

%package examples
Summary: Tests and examples for %{name}
Requires: %{name} = %{version}-%{release}
Requires: %{name}-qt5 = %{version}-%{release}

%description examples
This package contains tests and examples for %{name}.


%prep
%autosetup -n framework-%{version} -p1

%build
%cmake -Denable-examples=ON \
       -Denable-tests=OFF \
       -Denable-dbus-activation=ON \
       -Denable-wayland-gtk=ON

%cmake_build


%install
%cmake_install



%files
%license LICENSE.LGPL
%doc README.md NEWS
%{_bindir}/maliit-server
%{_libdir}/libmaliit-glib.so.2*
%{_datadir}/dbus-1/services/org.maliit.server.service


%files qt5
%{_libdir}/libmaliit-plugins.so.2*
%{_libdir}/qt5/plugins/platforminputcontexts/libmaliitplatforminputcontextplugin.so
%{_libdir}/qt5/plugins/wayland-shell-integration/libinputpanel-shell.so

%files devel
%{_includedir}/maliit-2
%{_libdir}/cmake/MaliitGLib/
%{_libdir}/cmake/MaliitPlugins/
%{_libdir}/libmaliit-plugins.so
%{_libdir}/libmaliit-glib.so
%{_libdir}/pkgconfig/*.pc
%{_libdir}/qt5/mkspecs/features/*.prf

%files docs
%{_datadir}/doc/maliit-framework-doc/
%{_datadir}/doc/maliit-framework/

%files examples
%{_bindir}/maliit-exampleapp-plainqt


%changelog
* Fri Apr 12 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 2.3.0-1
- initial build
